## org.eclipse.wst.wsdl
Class WSDLPlugin

    java.lang.Object
      EMFPlugin
          org.eclipse.wst.wsdl.WSDLPlugin

    public final class WSDLPlugin

extends EMFPlugin

The Plugin for the model. The WSDL model needs to be able to run within an Eclipse workbench, within a headless Eclipse workspace, or just stand-alone as part of some other application. To support this, all access is directed to the static methods, which can redirect the service as appopriate to the runtime. During stand-alone invocation no plugin initialization takes place. In this case you will need the resources jar on the class path.

Since:
  1.0
See Also:
  `

  Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  `

Field Summary
`static WSDLPlugin` `INSTANCE` The singleton instance of the plugin.

Method Summary
`javax.wsdl.factory.WSDLFactory` `createWSDL4JFactory()`
`ExtensibilityElementFactory` `getExtensibilityElementFactory(java.lang.String namespace)`
`ExtensibilityElementFactoryRegistry` `getExtensibilityElementFactoryRegistry()`
`static WSDLPluginImplementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final WSDLPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

### getPlugin

    public static WSDLPluginImplementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

### getExtensibilityElementFactory

    public ExtensibilityElementFactory getExtensibilityElementFactory(java.lang.String namespace)

### getExtensibilityElementFactoryRegistry

    public ExtensibilityElementFactoryRegistry getExtensibilityElementFactoryRegistry()

### createWSDL4JFactory

    public javax.wsdl.factory.WSDLFactory createWSDL4JFactory()